Page MenuHomePhabricator

Reduce WikiEditor 'Edit' EventLogging schema sampling rate to 6.25% (1/16th)
Closed, ResolvedPublic1 Story Points

Description

Logic:

  1. Current EL load is 1M5 events a day; the system can handle the load where it is now, but reducing would be a good idea.
  2. VE is ~ 70K edits -> @ 100% ~ 150K events a day
  3. WT is ~ 2M5 edits -> @ 25% ~ 1M25 events a day
  4. Reducing the sampling rate from 100% on VE would be irritating for bug tracing (as often these bugs only strike once or twice).
  5. As the WT data is so vastly huge in comparison, cutting that even slightly would have much more impact on EL load than doing so for VE.
  6. We don't use the WT data the same way, so reducing that won't be problematic from the Editing department's POV.

Consequently, drop WT sampling from 4/16 (25%) to 1/16 (6.25%) using the existing system (which uses the first hex character of the session id) as that should continue to be evenly distributed on user activities.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a project: WikiEditor.
Jdforrester-WMF moved this task to Doing on the WikiEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 11:37 PM

Change 219282 had a related patch set uploaded (by Jforrester):
Reduce 'Edit' EventLogging schema sampling rate to 6.25% (1/16th)

https://gerrit.wikimedia.org/r/219282

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF edited projects, added Analytics-Kanban; removed Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited subscribers, added: Halfak; removed: gerritbot.

Change 219836 had a related patch set uploaded (by Jforrester):
Reduce 'Edit' EventLogging schema sampling rate to 6.25% (1/16th)

https://gerrit.wikimedia.org/r/219836

Change 219282 merged by jenkins-bot:
Reduce 'Edit' EventLogging schema sampling rate to 6.25% (1/16th)

https://gerrit.wikimedia.org/r/219282

Change 219836 merged by jenkins-bot:
Reduce 'Edit' EventLogging schema sampling rate to 6.25% (1/16th)

https://gerrit.wikimedia.org/r/219836

Change 219837 had a related patch set uploaded (by Jforrester):
Update WikiEditor extension for T103036

https://gerrit.wikimedia.org/r/219837

Change 219837 merged by jenkins-bot:
Update WikiEditor extension for T103036

https://gerrit.wikimedia.org/r/219837

Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.
JAllemandou moved this task from Next Up to Done on the Analytics-Kanban board.Feb 8 2016, 6:42 PM
GOIII moved this task from Doing to Closed on the WikiEditor board.Apr 3 2016, 8:56 AM